This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 647121 - apr_strtoi64 (strings/apr_strings.c) does not reset errno
apr_strtoi64 (strings/apr_strings.c) does not reset errno
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: apr (Show other bugs)
5.4
All Linux
urgent Severity high
: rc
: ---
Assigned To: Joe Orton
BaseOS QE Security Team
: ZStream
Depends On: 571032
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-27 06:03 EDT by RHEL Product and Program Management
Modified: 2011-01-03 09:47 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the "apr_strtoi64" interface did not clear the "errno" error state. This error state could result in parse errors for applications that use this code. With this update, the error state is cleared and applications that use this code run as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 07:26:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-10-27 06:03:07 EDT
This bug has been copied from bug #571032 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 6 errata-xmlrpc 2010-11-03 07:26:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2010-0821.html
Comment 7 Florian Nadge 2011-01-03 09:47:38 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the "apr_strtoi64" interface did not clear the "errno" error state. This error state could result in parse errors for applications that use this code. With this update, the error state is cleared and applications that use this code run as expected.

Note You need to log in before you can comment on or make changes to this bug.